#ifndef __WORLDMODELTYPES__
#define __WORLDMODELTYPES__

#include "BallObject.h"
#include "AgentObject.h"
#include "PlayerObject.h"

RS_BEGIN_NAMESPACE

/** Used to represent a collection of ball objects. */
typedef ObjectCollection<BallObject> BallCollection;
/** Used to represent collections of agent objects. */
typedef ObjectCollection<AgentObject> AgentCollection;
/** Used to represent a collection of "teams" i.e. vectors of player objects. */
typedef ObjectCollection< std::vector<PlayerObject> > PlayersCollection;
/** Represent a collection of play modes. */
typedef ObjectCollection<PlayMode> PlayModeCollection;

RS_END_NAMESPACE

#endif
