/* -*- Mode: C++ -*-
 * $Id: framework_compiler_directives.h,v 1.1 2000/09/03 22:08:45 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: framework_compiler_directives.h
 * Unitname: Framework
 * $Revision: 1.1 $
 * Created by: Fredrik Heintz 1999-xx-xx
 * Last modified by $Author: frehe $ $Date: 2000/09/03 22:08:45 $
 *
 *
 * HISTORY
 *
 * $Log: framework_compiler_directives.h,v $
 * Revision 1.1  2000/09/03 22:08:45  frehe
 * Imported the current version of RoboSoc (soon to be v2.5.0)
 *
 */

/**
 * @file framework_compiler_directives.h
 * Include file with the compiler directives for the RoboSoc framework.
 *
 * @par Unit:
 *      Framework
 * $Revision: 1.1 $
 * $Author: frehe $
 * $Date: 2000/09/03 22:08:45 $
 */


#ifndef FRAMEWORK_COMPILER_DIRECTIVES_H
#define FRAMEWORK_COMPILER_DIRECTIVES_H


#include "basic_system_compiler_directives.h"


#endif // !FRAMEWORK_COMPILER_DIRECTIVES_H
