#include "TerritoryControlView.h" // Blob

#ifndef CONEBLOB_H
#define CONEBLOB_H

RS_BEGIN_NAMESPACE

class ConeBlob : public Blob {
public:
  ConeBlob(const float innerRadiusR, const float outerRadiusR,
	   const float innerRadiusTh, const float outerRadiusTh);
  ~ConeBlob();
  float getValueAt(float rDepth, float angle);

private:
  float innerR;
  float outerR;
  float innerTh;
  float outerTh;
};

RS_END_NAMESPACE

#endif // CONEBLOB_H
