/* -*- Mode: C++ -*-
 * $Id: AssertionFailed.cc,v 1.1.1.1 2000/08/31 13:26:03 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: AssertionFailed.cc
 * Unitname: Library
 * $Revision: 1.1.1.1 $
 * Created by: Fredrik Heintz 2000-08-30
 * Last modified by $Author: frehe $ $Date: 2000/08/31 13:26:03 $
 *
 *
 * HISTORY
 *
 * $Log: AssertionFailed.cc,v $
 * Revision 1.1.1.1  2000/08/31 13:26:03  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 */

/**
 * @file AssertionFailed.cc
 * Implementation file for the exception class AssertionFailed.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1.1.1 $
 * $Author: frehe $
 * $Date: 2000/08/31 13:26:03 $
 */


#include "AssertionFailed.h"


RS_BEGIN_NAMESPACE


AssertionFailed::AssertionFailed(const std::string& msg,
				 const std::string& file_name,
				 const UInt32 line_no) throw()
  : RSException(msg, file_name, line_no, "AssertionFailed")
{
}


RS_END_NAMESPACE
