/* -*- Mode: C++ -*-
 * $Id: LogStreamManip.cc,v 1.1.1.1 2000/08/31 13:26:03 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: LogStreamManip.cc
 * Unitname: Library
 * $Revision: 1.1.1.1 $
 * Created by: Fredrik Heintz 2000-xx-xx
 * Last modified by $Author: frehe $ $Date: 2000/08/31 13:26:03 $
 *
 *
 * HISTORY
 *
 * $Log: LogStreamManip.cc,v $
 * Revision 1.1.1.1  2000/08/31 13:26:03  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 */

/**
 * @file LogStreamManip.cc
 * Implementation of the class LogStreamManip.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1.1.1 $
 * $Author: frehe $
 * $Date: 2000/08/31 13:26:03 $
 */


#include "LogStreamManip.h"


RS_BEGIN_NAMESPACE


LogStreamManip::LogStreamManip(LogStream& (*ff)(LogStream&, const LogAreaName&),
			       const LogAreaName& area_name)
  : f(ff),
    area(area_name)
{  
}


RS_END_NAMESPACE
