#ifndef __OWN_MATH_H__
#define __OWN_MATH_H__

#include "library_types.h"

RS_BEGIN_NAMESPACE

inline Float scalarMult(Point p1, Point p2) {
  return p1.getX() * p2.getX() + p2.getY() * p2.getY();
}

inline Float scalarMult(Vector v1, Vector v2) {
  return
    Point(v1).getX() * Point(v2).getX() +
    Point(v1).getY() * Point(v2).getY();
}

RS_END_NAMESPACE

#endif
