/* -*- Mode: C++ -*-
 * $Id: ViewWithFuture.cc,v 1.1 2000/09/24 21:18:29 olalu526 Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: ViewWithFuture.cc
 * Unitname: Framework/view
 * $Revision: 1.1 $
 * Created by: Ola Lundqvist 2000-09-24
 * Last modified by $Author: olalu526 $ $Date: 2000/09/24 21:18:29 $
 *
 *
 * HISTORY
 *
 * $Log: ViewWithFuture.cc,v $
 * Revision 1.1  2000/09/24 21:18:29  olalu526
 * Added ViewWithFuture and FutureBallView.
 *
 *
 */

/**
 * @file ViewWithFuture.cc
 * Implementation file for the view class ViewWithFuture.
 *
 * @par Unit:
 *      Framework/view
 * $Revision: 1.1 $
 * $Author: olalu526 $
 * $Date: 2000/09/24 21:18:29 $
 */


#include "ViewWithFuture.h"


RS_BEGIN_NAMESPACE


ViewWithFuture::ViewWithFuture(const ViewId id)
   : View(id)
{
}


ViewWithFuture::~ViewWithFuture()
{
}

RS_END_NAMESPACE


/* CONDITIONAL INCLUSION OF INLINE DEFINITIONS
 *
 * If the compiler or debugger does not understand the keyword inline then
 * include the inline definitions here, otherwise include them in the
 * declaration file.
 *
 * This is controlled by a flag called RS_USE_INLINE, which is usually
 * defined. It can be set by the user by giving the compiler an argument
 * usually -DRS_USE_INLINE (to define it) or -URS_USE_INLINE (to undefine it).
 */

#ifndef RS_USE_INLINE
#  include "ViewWithFuture.icc"
#endif
