/* -*- Mode: C++ -*-
 * $Id: TooFewArgumentsException.cc,v 1.1 2000/09/13 03:13:47 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: TooFewArgumentsException.cc
 * Unitname: Library
 * $Revision: 1.1 $
 * Created by: Fredrik Heintz 2000-09-13
 * Last modified by $Author: frehe $ $Date: 2000/09/13 03:13:47 $
 *
 *
 * HISTORY
 *
 * $Log: TooFewArgumentsException.cc,v $
 * Revision 1.1  2000/09/13 03:13:47  frehe
 * Added a new exception TooFewArgumentsException.
 *
 */

/**
 * @file TooFewArgumentsException.cc
 * Implementation file for the exception class TooFewArgumentsException.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: frehe $
 * $Date: 2000/09/13 03:13:47 $
 */


#include "TooFewArgumentsException.h"


RS_BEGIN_NAMESPACE


TooFewArgumentsException::TooFewArgumentsException(const std::string& descr,
						   const std::string& file_name,
						   const UInt32 line_no) throw()
  : RSException(descr, file_name, line_no, "TooFewArgumentsException")
{
}


RS_END_NAMESPACE
